﻿Public Class Form1
    Private Sub btnGetFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGetFile.Click
        If ofdTextFile.ShowDialog() = Windows.Forms.DialogResult.OK Then
            txtFile.Text = My.Computer.FileSystem.ReadAllText(ofdTextFile.FileName)
        Else
            txtFile.Clear()
        End If
    End Sub

    Private Sub ofdTextFile_FileOk(ByVal sender As System.Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles ofdTextFile.FileOk
        If ofdTextFile.FileName.ToLower().EndsWith(".txt") Then
            e.Cancel = False
        Else
            MessageBox.Show( _
                "Please select a text file", _
                "Select Text File", _
                MessageBoxButtons.OK, _
                MessageBoxIcon.Hand)
            e.Cancel = True
        End If
    End Sub
End Class
